<?php
###########MODIFICACIONES################# 
#13/03/2017 |ERICA G. | TILDES
##########################################
require_once('Conexion/ConexionPDO.php');
require_once('estructura_valor_registro.php');
session_start();
$con = new ConexionPDO();
$anno = $_SESSION['anno'];

$id_tercero = $_REQUEST['id_tercero'];
$clase = $_REQUEST['clase'];

$comprobanteP = $con->Listar("SELECT  com.id_unico, com.numero, com.fecha, com.descripcion
  		                        FROM gf_comprobante_pptal com
 		                          left join gf_tipo_comprobante_pptal tipoCom on tipoCom.id_unico = com.tipocomprobante
  		                        WHERE tipoCom.clasepptal = $clase 
 		                          and tipoCom.tipooperacion = 1
		                          and com.tercero =  $id_tercero 
                              AND com.parametrizacionanno = $anno");

for ($row = 0; $row < count($comprobanteP); $row++) {
  $saldDisp = 0;
  $totalSaldDispo = 0;
  $detCompro = $con->Listar("SELECT detComp.id_unico, detComp.valor   
            FROM gf_detalle_comprobante_pptal detComp, gf_comprobante_pptal comP 
            WHERE comP.id_unico = detComp.comprobantepptal 
            AND comP.id_unico = " . $row[0] . "");

  for ($rowDetComp = 0; $rowDetComp < count($detCompro); $rowDetComp++) {
    if ($conexion == 1) {
      $saldDisp += $detCompro[$rowDetComp][1];
    } else {
      $valor = str_replace(',', '.', $detCompro[$rowDetComp][1]);
      $saldDisp += $valor;
    }

    $detAfec = $con->Listar("SELECT
                  dcp.valor,
                  tc.tipooperacion
                FROM
                  gf_detalle_comprobante_pptal dcp
                LEFT JOIN
                  gf_comprobante_pptal cp ON dcp.comprobantepptal = cp.id_unico
                LEFT JOIN
                  gf_tipo_comprobante_pptal tc ON cp.tipocomprobante = tc.id_unico
                WHERE
                  dcp.comprobanteafectado =" . $rowDetComp[0] . "");

    for ($rowDtAf = 0; $rowDtAf < count($detAfec); $rowDtAf++) {
      if ($detAfec[$rowDtAf][1] == 3) {
        if ($conexion == 1) {
          $saldDisp = $saldDisp - $detAfec[$rowDtAf][0];
        } else {
          $valor = str_replace(',', '.', $detAfec[$rowDtAf][0]);
          $saldDisp = $saldDisp - $valor;
        }
      } else {
        $valor = str_replace(',', '.', $detAfec[$rowDtAf][0]);
        if (($detAfec[$rowDtAf][1] == 2) || ($detAfec[$rowDtAf][1] == 4)) {
          if($conexion==1){
            $saldDisp = $saldDisp + $detAfec[$rowDtAf][0];
          }else{
            $saldDisp = $saldDisp + $valor;
          }
        } else {
          if($conexion==1){
            $saldDisp = $saldDisp - $detAfec[$rowDtAf][0];
          }else{
            $saldDisp = $saldDisp - $valor;
          }
         
        }
      }
    }
  }
  $saldo = $saldDisp;


  if ($saldo > 0) {
    if ($conexion == 1) {
      $fecha_div = explode("-", $comprobanteP[$row][2]);
      $anio = $fecha_div[0];
      $mes = $fecha_div[1];
      $dia = $fecha_div[2];
      $fecha = $dia . "/" . $mes . "/" . $anio;
    } else {
      $fecha = $comprobanteP[$row][2];
    }


    echo '<option value="' . $comprobanteP[$row][0] . '">' . $comprobanteP[$row][1] . ' ' . $fecha . ' ' . ucwords(mb_strtolower($comprobanteP[$row][3])) . ' $' . number_format($saldo, 2, '.', ',') . '</option>';
  }
}
